Crazy Eddies GUI System: CEGUI::FalagardListbox Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
CEGUI::FalagardListbox Class Reference

Listbox class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardListbox:
[legend]
Collaboration diagram for CEGUI::FalagardListbox:
[legend]

List of all members.

## Public Member Functions
| FalagardListbox (const String &type)
| Constructor.
void | cacheListboxBaseImagery ()
| Perform caching of the widget control frame and other 'static' areas. This method should not render the actual items. Note that the items are typically rendered to layer 3, other layers can be used for rendering imagery behind and infront of the items.
void | render ()
| Populate render cache.
Rect | getListRenderArea (void) const
| Return a Rect object describing, in un-clipped pixels, the window relative area that is to be used for rendering list items.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.

## Detailed Description

Listbox class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled

Named Areas:

- ItemRenderingArea
- ItemRenderingAreaHScroll
- ItemRenderingAreaVScroll
- ItemRenderingAreaHVScroll

Child Widgets: Scrollbar based widget with name suffix "__auto_vscrollbar__" Scrollbar based widget with name suffix "__auto_hscrollbar__"

## Member Function Documentation

void CEGUI::FalagardListbox::cacheListboxBaseImagery | ( |  | ) |

Perform caching of the widget control frame and other 'static' areas. This method should not render the actual items. Note that the items are typically rendered to layer 3, other layers can be used for rendering imagery behind and infront of the items.

Returns:
  Nothing.

Rect CEGUI::FalagardListbox::getListRenderArea | ( | void |  | ) | const`[virtual]`

Return a Rect object describing, in un-clipped pixels, the window relative area that is to be used for rendering list items.

Returns:
  Rect object describing the area of the Window to be used for rendering list box items.

Implements CEGUI::ListboxWindowRenderer.

void CEGUI::FalagardListbox::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.